This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276335 - (CVE-2015-8792) CVE-2015-8792 libmatroska: Out-of-bounds heap read in KaxInternalBlock::ReadData()
CVE-2015-8792 libmatroska: Out-of-bounds heap read in KaxInternalBlock::ReadD...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151020,reported=2...
: Security
Depends On: 1276339 1276338
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 09:36 EDT by Adam Mariš
Modified: 2016-02-01 03:42 EST (History)
5 users (show)

See Also:
Fixed In Version: libmatroska 1.4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-29 09:36:29 EDT
KaxInternalBlock::ReadData(): Fixed an invalid memory access. When reading a block group or a simple block that uses EBML lacing the frame sizes indicated in the lacing weren't checked against the available number of bytes. If the indicated frame size was bigger than the whole block's size the parser would read beyond the end of the buffer resulting in a heap information leak.

Upstream patch:

https://github.com/Matroska-Org/libmatroska/commit/0a2d3e3644a7453b6513db2f9bc270f77943573f
Comment 1 Adam Mariš 2015-10-29 09:39:06 EDT
Created libmatroska tracking bugs for this issue:

Affects: fedora-all [bug 1276338]
Affects: epel-all [bug 1276339]
Comment 2 Andrej Nemec 2016-02-01 03:42:34 EST
Added CVE according to http://www.cvedetails.com/cve/CVE-2015-8792

Note You need to log in before you can comment on or make changes to this bug.